--
-- Структура таблицы `prefix_banners`
--

CREATE TABLE `prefix_banners` (
  `id` int(11) NOT NULL,
  `ident` int(11) NOT NULL DEFAULT '0',
  `time_add` datetime NOT NULL,
  `user_id` varchar(50) NOT NULL DEFAULT '0',
  `user_blocks` int(11) NOT NULL DEFAULT '0',
  `size` varchar(50) NOT NULL,
  `sum` int(11) NOT NULL DEFAULT '0',
  `price` int(11) NOT NULL DEFAULT '0',
  `money` varchar(50) NOT NULL DEFAULT '0',
  `weeks` int(11) NOT NULL DEFAULT '0',
  `url_block` varchar(250) NOT NULL,
  `url_banner` varchar(250) NOT NULL,
  `url_site` varchar(250) NOT NULL,
  `stats` text NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_blocks`
--

CREATE TABLE `prefix_blocks` (
  `id` int(11) NOT NULL,
  `time_add` datetime NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '1',
  `name` varchar(50) NOT NULL,
  `text` text NOT NULL,
  `url` varchar(250) NOT NULL,
  `topic` int(11) NOT NULL DEFAULT '0',
  `tic` int(11) NOT NULL DEFAULT '0',
  `pr` int(11) NOT NULL DEFAULT '0',
  `size` varchar(50) NOT NULL,
  `sum` int(11) NOT NULL DEFAULT '1',
  `sumcolor` int(11) NOT NULL DEFAULT '1',
  `red` int(11) NOT NULL DEFAULT '0',
  `green` int(11) NOT NULL DEFAULT '0',
  `blue` int(11) NOT NULL DEFAULT '0',
  `orange` int(11) DEFAULT '0',
  `other` int(11) NOT NULL DEFAULT '2',
  `color` varchar(20) NOT NULL,
  `vid` int(11) NOT NULL DEFAULT '1',
  `razd` varchar(10) NOT NULL,
  `slots` int(2) NOT NULL DEFAULT '1',
  `dlinlink` int(3) NOT NULL DEFAULT '10',
  `stats` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_blocks_view`
--

CREATE TABLE `prefix_blocks_view` (
  `id` int(11) NOT NULL,
  `ident` int(11) NOT NULL DEFAULT '0',
  `time_add` datetime NOT NULL,
  `ip` varchar(20) NOT NULL DEFAULT '0',
  `view` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_config`
--

CREATE TABLE `prefix_config` (
  `id` int(1) NOT NULL DEFAULT '1',
  `time_update` datetime NOT NULL,
  `success_work` int(11) NOT NULL DEFAULT '0',
  `advert_links` int(11) NOT NULL DEFAULT '0',
  `advert_banners` int(11) NOT NULL DEFAULT '0',
  `show_advert_24` int(11) NOT NULL DEFAULT '0',
  `data_start` datetime NOT NULL,
  `comm_pay` int(11) NOT NULL DEFAULT '5',
  `comm_out` int(11) NOT NULL DEFAULT '0',
  `all_users` int(11) NOT NULL DEFAULT '0',
  `site_name` varchar(250) NOT NULL,
  `site_email` varchar(250) NOT NULL,
  `users_profit` varchar(50) NOT NULL DEFAULT '0',
  `min_pay` int(11) NOT NULL DEFAULT '0',
  `site_skype` varchar(250) NOT NULL,
  `topic` text NOT NULL,
  `ref_proc` int(11) NOT NULL DEFAULT '5'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `prefix_config`
--

INSERT INTO `prefix_config` (`id`, `time_update`, `success_work`, `advert_links`, `advert_banners`, `show_advert_24`, `data_start`, `comm_pay`, `comm_out`, `all_users`, `site_name`, `site_email`, `users_profit`, `min_pay`, `site_skype`, `topic`, `ref_proc`) VALUES
(1, '2016-03-07 15:00:02', 0, 0, 0, 0, '2015-12-29 00:00:00', 5, 5, 6, 'Placeslot', 'support@placeslot.ru', '0', 1, '', '{"1":"Авто, мото и другой траспорт","2":"Животные и растения","3":"Игры для компьютеров и консолей","4":"Инвестиции заработок и фермы","5":"Медицина, фитнес и здоровье","6":"Мобильные телефоны и гаджеты","7":"Музыка, искусство и кино","8":"Наука и техника","9":"Недвижимость и строительство","10":"Новости и СМИ","11":"Путешествия и туризм","12":"Реклама и партнерские программы","13":"Софт, операционные системы и торренты","14":"Социальные сети, форумы и порталы","15":"Спорт и ставки","16":"Товары, услуги и бизнес","17":"SEO и создание сайтов"}', 5);

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_history`
--

CREATE TABLE `prefix_history` (
  `id` int(11) NOT NULL,
  `time_add` datetime NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `type` enum('banner','link','referal','balance') NOT NULL,
  `money` varchar(50) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_history_out`
--

CREATE TABLE `prefix_history_out` (
  `id` int(11) NOT NULL,
  `time_add` datetime NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `payment` enum('wmr','payeer') NOT NULL,
  `price` varchar(50) NOT NULL,
  `money` varchar(50) NOT NULL,
  `wallet` varchar(50) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_history_pay`
--

CREATE TABLE `prefix_history_pay` (
  `id` int(11) NOT NULL,
  `time_add` datetime NOT NULL,
  `time_pay` datetime NOT NULL,
  `user_id` varchar(250) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `payment` varchar(50) NOT NULL,
  `price` varchar(50) NOT NULL DEFAULT '0',
  `money` varchar(50) NOT NULL,
  `wallet` varchar(50) NOT NULL,
  `data` text NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Структура таблицы `prefix_history_payref`
--

CREATE TABLE `prefix_history_payref` (
  `id` int(11) NOT NULL,
  `time_add` datetime NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `referer` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `payment` varchar(50) NOT NULL,
  `price` varchar(50) NOT NULL DEFAULT '0',
  `money` varchar(50) NOT NULL DEFAULT '0',
  `id_zakaz` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_links`
--

CREATE TABLE `prefix_links` (
  `id` int(11) NOT NULL,
  `ident` int(11) NOT NULL DEFAULT '0',
  `time_add` datetime NOT NULL,
  `user_id` varchar(50) NOT NULL DEFAULT '0',
  `user_blocks` int(11) NOT NULL DEFAULT '0',
  `sum` int(11) NOT NULL DEFAULT '0',
  `price` int(11) NOT NULL DEFAULT '0',
  `money` varchar(50) NOT NULL DEFAULT '0',
  `text` varchar(200) NOT NULL,
  `url_block` varchar(250) NOT NULL,
  `url_site` varchar(250) NOT NULL,
  `color` varchar(50) NOT NULL,
  `specc` int(11) NOT NULL DEFAULT '0',
  `stats` text NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_news`
--

CREATE TABLE `prefix_news` (
  `id` int(11) NOT NULL,
  `time_add` datetime NOT NULL,
  `title` varchar(250) NOT NULL,
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `prefix_users`
--

CREATE TABLE `prefix_users` (
  `id` int(11) NOT NULL,
  `login` varchar(30) NOT NULL,
  `password` varchar(250) NOT NULL,
  `email` varchar(250) NOT NULL,
  `referer` int(11) NOT NULL DEFAULT '0',
  `ip_reg` int(11) NOT NULL DEFAULT '0',
  `ip_log` int(11) NOT NULL DEFAULT '0',
  `data_reg` datetime NOT NULL,
  `data_log` datetime NOT NULL,
  `tab_main` int(11) NOT NULL DEFAULT '0',
  `money` varchar(50) NOT NULL DEFAULT '0',
  `money_frozen` varchar(50) NOT NULL DEFAULT '0',
  `money_all` varchar(50) NOT NULL DEFAULT '0',
  `money_banner` varchar(50) NOT NULL DEFAULT '0',
  `money_link` varchar(50) NOT NULL DEFAULT '0',
  `money_ref` varchar(50) NOT NULL DEFAULT '0',
  `skype` varchar(50) NOT NULL,
  `icq` varchar(50) NOT NULL,
  `wmr` varchar(13) NOT NULL,
  `payeer` varchar(15) NOT NULL,
  `money_in` varchar(50) NOT NULL DEFAULT '0',
  `money_out` varchar(50) NOT NULL DEFAULT '0',
  `click_links` int(11) NOT NULL DEFAULT '0',
  `click_banners` int(11) NOT NULL DEFAULT '0',
  `status` int(11) NOT NULL DEFAULT '0',
  `ban` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Индексы таблицы `prefix_banners`
--
ALTER TABLE `prefix_banners`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_blocks`
--
ALTER TABLE `prefix_blocks`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_blocks_view`
--
ALTER TABLE `prefix_blocks_view`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_config`
--
ALTER TABLE `prefix_config`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `prefix_history`
--
ALTER TABLE `prefix_history`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_history_out`
--
ALTER TABLE `prefix_history_out`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_history_pay`
--
ALTER TABLE `prefix_history_pay`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_history_payref`
--
ALTER TABLE `prefix_history_payref`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_links`
--
ALTER TABLE `prefix_links`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_news`
--
ALTER TABLE `prefix_news`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `prefix_users`
--
ALTER TABLE `prefix_users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `prefix_banners`
--
ALTER TABLE `prefix_banners`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `prefix_blocks`
--
ALTER TABLE `prefix_blocks`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT для таблицы `prefix_blocks_view`
--
ALTER TABLE `prefix_blocks_view`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `prefix_history`
--
ALTER TABLE `prefix_history`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `prefix_history_out`
--
ALTER TABLE `prefix_history_out`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `prefix_history_pay`
--
ALTER TABLE `prefix_history_pay`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT для таблицы `prefix_history_payref`
--
ALTER TABLE `prefix_history_payref`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `prefix_links`
--
ALTER TABLE `prefix_links`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `prefix_news`
--
ALTER TABLE `prefix_news`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `prefix_users`
--
ALTER TABLE `prefix_users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

